using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Spike_Master : MonoBehaviour {

    private Player_Master player;

    void Start()
    {
        player = GameObject.FindGameObjectWithTag("Player").GetComponent<Player_Master>();
    }

    void OnTriggerEnter2D(Collider2D col)
    {
        if(col.CompareTag("Player"))
        {
            player.Damage(3);

            StartCoroutine(player.Knockback(0.02f, 200, player.transform.position));
           
        }
    }


}
